# Corporate Entities Endpoint: GET /api/corporateEntity Version: 1.0.0 Security: JWT ## Query parameters: - `accountIds` (array) Account ids: if specified, limits results to the items related to the accounts whose ids match the provided set; otherwise, all results related to any authorized account will be returned - `$filter` (string) OData-like filter expression - `$count` (boolean) Whether to include the count of records with the result - `$orderby` (string) Comma-separated list of columns for sorting - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return ## Response 200 fields (application/json): - `@count` (integer) The total number of results (only present if requested) - `value` (array) Rows of information - `value.accountId` (integer, required) The account identifier Example: "123" - `value.corporateEntityId` (integer, required) The corporate entity id Example: "55" - `value.corporateEntityName` (string, required) The corporate entity name Example: "Acme Corp." - `value.corporateId` (string, required) The corporate id Example: "1234-55" - `value.corporateIdType` (string, required) The corporate id type Example: "DUNS" ## Response 400 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 401 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 403 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 429 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 500 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation